> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.dialogueview.md).

# dialogueView

Field in [DialogueAdvanceInput](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md)

## Summary

The dialogue view that will be notified when the user performs the advance input (as configured by [continueActionType](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-2.md) and related fields.)

```csharp
public DialogueViewBase dialogueView;
```

## Remarks

When the input is performed, this dialogue view will have its [UserRequestedViewAdvancement()](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.userrequestedviewadvancement.md) method called.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.dialogueview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
